"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const HttpException_1 = __importDefault(require("../exceptions/HttpException"));
const http_status_1 = __importDefault(require("../utils/http-status"));
function errorMiddleware(error, _, res, next) {
    console.error(error);
    if (error instanceof HttpException_1.default) {
        return error.sendResponse(res);
    }
    return res.status(http_status_1.default.INTERNAL_SERVER_ERROR).json({
        message: 'Unexpected server error has occurred, Please try again.',
        statusCode: http_status_1.default.INTERNAL_SERVER_ERROR,
    });
}
exports.default = errorMiddleware;
